
Application: gvSIG desktop - gvSIG bugs #316
Error in the addons installer with the Installation from URL option
02/14/2012 10:51 AM - Cesar Ordiñana

Status: Closed % Done: 100%
Priority: Immediate Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Application
Target version: 2.0.0-alpha4
Severity: Add-on version: 2.0.0-SNAPSHOT
gvSIG version: 2.0.0 Add-on build: 2044
gvSIG build: 2044 Add-on resolve version:2.0.0-SNAPSHOT
Operative System: Add-on resolve build: 2045
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Add-ons manager (org.gvsig.installer.app.extension)
Description

In the addons manager, if you select the Installation from URL option, the following error is shown and the installation is not able to
continue to the next step:

INFO [AWT-EventQueue-1] (MDIFrame.java:744) - ExtensionDecorator.execute('')
 INFO [AWT-EventQueue-1] (ExtensionDecorator.java:93) - InstallPackageExtension.execute('')
 WARN [AWT-EventQueue-1] (DefaultInstallPackageService.java:380) - 
Trying to add a package file ({0}) without a known file extension. Will try to add it as a package set
 INFO [AWT-EventQueue-1] (OptionPanelContainer.java:92) - It is not possible to continue with the wizard
org.gvsig.gui.beans.wizard.panel.NotContinueWizardException: _execute_adding_error
    at org.gvsig.installer.swing.impl.execution.wizard.SelectBundlesWizard.nextPanel(SelectBundlesWizard.java:101)
    at org.gvsig.gui.beans.wizard.panel.OptionPanelContainer.next(OptionPanelContainer.java:87)
    at jwizardcomponent.DefaultJWizardComponents.nextButton_actionPerformed(Unknown Source)
    at jwizardcomponent.DefaultJWizardComponents$2.actionPerformed(Unknown Source)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
    at java.awt.Component.processMouseEvent(Component.java:6288)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6053)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4651)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4481)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4577)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Window.dispatchEventImpl(Window.java:2478)
    at java.awt.Component.dispatchEvent(Component.java:4481)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:643)
    at java.awt.EventQueue.access$000(EventQueue.java:84)
    at java.awt.EventQueue$1.run(EventQueue.java:602)
    at java.awt.EventQueue$1.run(EventQueue.java:600)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
    at java.awt.EventQueue$2.run(EventQueue.java:616)
    at java.awt.EventQueue$2.run(EventQueue.java:614)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:613)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Caused by: org.gvsig.installer.lib.impl.utils.Decompress$InstallerPluginReadErrorException: 
Error reading the plugin
'gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2044-alpha4-all-all-j1_5.gvspkis'
    at org.gvsig.installer.lib.impl.utils.Decompress.decompressFolderOfPlugins(Decompress.java:240)
    at org.gvsig.installer.lib.impl.utils.Decompress.readPackageSetInstallInfos(Decompress.java:98)
    at
org.gvsig.installer.lib.impl.DefaultInstallerProviderServices.readPackageSetInfo(DefaultInstallerProviderServices.java:163)
    at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.addBundle(DefaultInstallPackageService.java:386)
    at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.addBundle(DefaultInstallPackageService.java:444)
    at org.gvsig.installer.swing.impl.execution.wizard.SelectBundlesWizard.nextPanel(SelectBundlesWizard.java:88)
    ... 40 more
Caused by: org.gvsig.installer.lib.spi.InstallerInfoFileException: 
Error getting the value of the download url property as URL: 
../../pool/org.gvsig.annotation.app.extension/gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2044
alpha4-all-all-j1_5.gvspkg
    at org.gvsig.installer.lib.impl.info.InstallerInfoFileReader.read(InstallerInfoFileReader.java:192)
    at org.gvsig.installer.lib.impl.utils.Decompress.readInstallInfo(Decompress.java:400)
    at org.gvsig.installer.lib.impl.utils.Decompress.readPlugin(Decompress.java:281)
    at org.gvsig.installer.lib.impl.utils.Decompress.decompressFolderOfPlugins(Decompress.java:231)
    ... 45 more
Caused by: java.net.MalformedURLException: no protocol: 
../../pool/org.gvsig.annotation.app.extension/gvSIG-desktop-2.0.0-org.gvsig.annotation.app.extension-1.0.0-SNAPSHOT-2044
alpha4-all-all-j1_5.gvspkg
    at java.net.URL.&lt;init&gt;(URL.java:567)
    at java.net.URL.&lt;init&gt;(URL.java:464)
    at java.net.URL.&lt;init&gt;(URL.java:413)
    at org.gvsig.installer.lib.impl.info.InstallerInfoFileReader.read(InstallerInfoFileReader.java:190)
    ... 48 more

History
#1 - 02/14/2012 10:51 AM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana
- gvSIG build set to 2044

#2 - 02/14/2012 05:15 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- Target version set to 2.0.0-alpha4
- % Done changed from 0 to 100

Solved in changeset r37922

#3 - 02/14/2012 05:16 PM - Cesar Ordiñana
- Add-on version set to 2.0.0-SNAPSHOT
- Add-on build set to 2044
- Add-on resolve version set to 2.0.0-SNAPSHOT
- Add-on resolve build set to 2045

#4 - 11/07/2012 12:51 PM - Abenchara Socorro
- File install_package.png added
- Status changed from Fixed to Closed

Already solved, I have installed a raster plugin with no problems

Files
install_package.png 5.28 KB 11/07/2012 Abenchara Socorro
